import { OnInit } from '@angular/core';
import { FormGroup, AbstractControl, ControlContainer, FormGroupDirective } from '@angular/forms';
import { ErrorMassageValidation } from '../../Shared/services/validationErrorMassage.service';
import { ControlUtility } from '../../Shared/services/ControlUtility';
import { TextAreaOptions } from '../../Shared/Models/TextAreaOptions';
export declare class TextAreaComponent implements OnInit {
    private ErrorHandler;
    private controlUtility;
    private controlContainer;
    TextAreaControlHost: FormGroupDirective;
    static controlContainerstatic: any;
    constructor(ErrorHandler: ErrorMassageValidation, controlUtility: ControlUtility, controlContainer: ControlContainer, TextAreaControlHost: FormGroupDirective);
    group: FormGroup;
    options: TextAreaOptions;
    TextAreaFormControl: AbstractControl;
    WordCount: number;
    WordCountArray: number;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    resetError: () => void;
    getErrorValidation(Errorsitem: any[]): string;
    getInputType(type: number): string;
    trimControlValue(): void;
    copyInputMassage(inputElement: any): void;
    onTextChange(): void;
}
